Subject: Re: [O] bug#11774: bug#11774: org-mode causes undo boundaries to be lost

From: Samuel Wales <[email-masked]>
Date: Tue, 3 Jul 2012 17:18:50 -0700

On 7/3/12, Stefan Monnier <[email-masked]> wrote:
>> self-insert-command.  Even just turning that magic 20 number into a
>> variable would help.
>
> Providing it as a variable would be very easy, indeed.

Hi Stefan,

To clarify, that is actually the only thing that I need as a user for
self-insert-command.  It would make an enormous difference in my
use of Emacs.  Huge.

So I don't need undo-boundary to work in any particular way -- IF
I have the ability to cluster self-insert-command by 1 instead of that
hardcoded 20 throughout Emacs (including Org of course).

My need for undo-boundary to work the way it did
before is only so that I could call undo-boundary
after every invocation of self-insert-command.

Therefore, IF we have that variable, then undo-boundary considerations
should be simply to DTRT for undo-tree, org-self-insert-command,
and other code, in such a way that subtle bugs are prevented.

Maybe the user should be able to set undo boundaries and
have them work after self-insert-command?   Dunno, I'm
not familiar with internals enough to opine.

Hope that clarifies.  I will follow the discussion as long as I'm
CC'ed as I am now.

Thanks.

Samuel

-- 
The Kafka Pandemic: http://thekafkapandemic.blogspot.com